Category: Library Estimated time: 1:00 hour
Description

It seems that the lossless JPEG encoder sets the first value of the ImageType attribute to DERIVED and adds a
DerivationCodeSequence with the following content:

(0008,0100) SH [121327] # 6, 1 CodeValue
(0008,0102) SH [DCM] # 4, 1 CodingSchemeDesignator
(0008,0104) LO [Full fidelity image] # 20, 1 CodeMeaning

This behaviour should be changed. Lossless compression should not affect ImageType and thus does not require the addition of a
DerivationCodeSequence item.

Other codecs in DCMTK (RLE, JPEG-LS, JPEG 2000) are not affected by this issue.

See DCMTK forum: https:/forum.dcmtk.org/viewtopic.php?f=1&t=4944

History

#1 - 2020-02-24 19:16 - Jorg Riesmeier
- Priority changed from Normal to High

In any case, the currently used code for "Full fidelity image" from CID 7205 is not allowed for the DerivationCodeSequence (according to DICOM
PS3.3), so the created DICOM images are not conforming to the DICOM standard.

#2 - 2020-04-07 18:21 - Marco Eichelberg
- Status changed from New to Closed

- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

- Estimated time set to 1:00 h

Closed by commit #3a9592795.

#3 - 2020-05-25 13:29 - Michael Onken
- Target version deleted (3.6.6)
